package com.example.navtestapp

import android.os.Bundle
import androidx.navigation.NavDirections
import kotlin.Int
import kotlin.String

class MyNewDialogWithAVeryLongNameToTriggerAnErrorDirections private constructor() {
  private data class ActionDialog(
    val argumentFragment: String?
  ) : NavDirections {
    override fun getActionId(): Int = R.id.action_dialog

    override fun getArguments(): Bundle {
      val result = Bundle()
      result.putString("argument_fragment", this.argumentFragment)
      return result
    }
  }

  companion object {
    fun actionDialog(argumentFragment: String?): NavDirections = ActionDialog(argumentFragment)
  }
}
